Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 970411 - Review Request: mingw-libid3tag - ID3 tag manipulation library
Summary: Review Request: mingw-libid3tag - ID3 tag manipulation library
Keywords:
Status: CLOSED DUPLICATE of bug 1076456
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-06-04 01:31 UTC by Steve
Modified: 2018-01-30 03:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-14 11:34:53 UTC
ulatekh: needinfo-


Attachments (Terms of Use)

Description Steve 2013-06-04 01:31:25 UTC
Spec URL: https://www.box.com/s/g19jin7x5ago4yng0416
SRPM URL: https://www.box.com/s/lftygl2h98pe67olj2qq
Description: libid3tag is a library for reading and (eventually) writing ID3 tags, both ID3v1 and the various versions of ID3v2.
This is the MinGW version of a package that Fedora already has in its repository.
Fedora Account System Username: ulatekh

Comment 1 David King 2014-02-07 11:04:09 UTC
Hi, I cannot give a formal review because I am not a sponsor, but I can give some informal comments:

* BuildRoot is not required: https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
* %clean is not required: https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
* "BuildRequires:  mingw32-gcc-c++" does not seem to be needed (as there are no C++ source files)
* "BuildRequires:  mingw??-binutils" is not required, as it is automatically pulled in via mingw??-gcc
* "Requires:       pkgconfig" is not required, as it is pulled in automatically
* "%defattr(-,root,root,-)" is not required: https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
* "rm -rf %{buildroot}" in %install is not required

Comment 2 David King 2014-02-07 11:06:12 UTC
I have made the changes which reflect my review comments (as I needed libid3tag for a MinGW version of EasyTAG), which you can find in one of my github repositories:

https://github.com/amigadave/easytag-dlls-specs/commit/51fa0002312afdd23206722d914d4dbaec4bb24f

Comment 3 David King 2014-03-07 11:33:18 UTC
Hi, this review seems to be stalled, as you (Steve) have not responded to my comments for 1 month. Following https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding I will close this bug in a week if there is no further response.

Comment 4 David King 2014-03-14 11:34:53 UTC
Closing after a further week of inactivity as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Comment 5 David King 2014-03-14 12:46:10 UTC

*** This bug has been marked as a duplicate of bug 1076456 ***


Note You need to log in before you can comment on or make changes to this bug.